\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}
\usepackage{listings}
\lstset{%
  basicstyle=\scriptsize\ttfamily,  % the size of the fonts 
  columns=fixed,       % make column spacing right
  showspaces=false,       % show spaces using underscores?
  showstringspaces=false, % underline spaces within strings?
  showtabs=false,         % show tabs within strings?
}

\begin{document}
Text before the listing.
\begin{lstlisting}
  for in in range(10):
    print("The value of i is ",str(i))
\end{lstlisting}

You can put the code inline: \lstinline!i in range(10)!.

You can also include source inline with 
\lstinline!\lstinputlisting{..}!.
Here is a C program, imported from a file.
\lstinputlisting{hello.c}
\end{document}     
